2020-09-16に投稿

GodotでiOSにてGoogle Mobile Ads SDK7.65.0以上を使う場合

GodotのiOSでAdMobを使う場合に最新のGoogle Mobile Ads SDK7.65.0を使うと下記のようなエラーが出る。

ld: warning: Could not find or use auto-linked framework 'FBLPromises'
中略
"_OBJC_CLASS_$_JSContext", referenced from:

どうも依存関係がちゃんと解決されていないような感じ。

調べてみると下記の解決方法にたどり着いた。

Could not find or use auto-linked framework 'FBLPromises'

JavaScriptCore.frameworkというフレームワークを追加すればいいらしい。ちなみに使用しているプラグインは下記だが、まだ現時点ではこれが説明に入っていない。

https://github.com/kloder-games/godot-admob

ツイッターでシェア
みんなに共有、忘れないようにメモ

だら@Crieit開発者

Crieitの開発者です。 Webエンジニアです(在宅)。大体10年ちょい。 記事でわかりにくいところがあればDMで質問していただくか、案件発注してください。 業務依頼、同業種の方からのコンタクトなどお気軽にご連絡ください。 業務経験有:PHP, MySQL, Laravel, Vue.js, React, Node, RoR 趣味:Elixir, Phoenix, Nuxt, Express, GCP, AWS等色々 PHPフレームワークちいたんの作者

Crieitは誰でも投稿できるサービスです。 是非記事の投稿をお願いします。どんな軽い内容でも投稿できます。

また、「こんな記事が読みたいけど見つからない!」という方は是非記事投稿リクエストボードへ!

有料記事を販売できるようになりました!

こじんまりと作業ログやメモ、進捗を書き残しておきたい方はボード機能をご利用ください。
ボードとは?

関連記事

コメント